#### D.6.10.4 WSemigroup

Procedure from library `curvepar.lib` (see curvepar_lib).

Usage:
  WSemigroup(X,b0);
  X a list of polynomials in one variable, say t.
  b0 an integer

Compute:
  Weierstrass semigroup of space curve C,which is given by a parametrization X[1](t),...,X[k](t), till the bound b0.

Assume:
  b0 is greater then conductor

Return:
  list M of size 5.
  M[1]= list of integers, which are minimal generators set of the Weierstrass semigroup. M[2]=integer, conductor of the Weierstrass semigroup. M[3]=intvec, all elements of the Weierstrass semigroup till some bound b, which is greater than conductor.

Warning:
  works only over the ring with one variable with ordering ds

Example:

    LIB "curvepar.lib";
    ring r=0,(t),ds;
    list X=t4,t5+t11,t9+2*t7;
    list L=WSemigroup(X,30);
    L;
    ==> [1]:
    ==>    4,5,7
    ==> [2]:
    ==>    7
    ==> [3]:
    ==>    4,5,7,8,9,10

User manual for Singular version 4.4.1, 2025, generated by texi2html.